Name:          sugar-pippy-activity
Version:       66
Release:       %mkrel 2
Summary:       Python programming activity for Sugar
License:       GPLv2
Group:         Graphical desktop/Other
Url:           http://sugarlabs.org/
Source:        http://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildArch:     noarch

Requires:      python-gtksourceview
Requires:      python
Requires:      pybox2d
Requires:      pygame
Requires:      python-elements
Requires:      sugar

BuildRequires: gettext
BuildRequires: pkgconfig(python2)
BuildRequires: sugar-toolkit >= 0.86.1
BuildRequires: sugar-toolkit-gtk3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)

%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.
The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation.
The initial build ships with about twenty short Python examples covering
various aspects of the language.

%prep
%setup -q -n Pippy-%{version}
rm -rf library/pippy/physics

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{buildroot}%{_prefix}
%find_lang org.laptop.Pippy

%files -f org.laptop.Pippy.lang
%{_datadir}/applications/org.laptop.Pippy.activity.desktop
%{_datadir}/sugar/activities/*
%doc NEWS COPYING


%changelog
* Wed Jun 07 2017 akien <akien> 66-2.mga6
+ Revision: 1107209
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 66-1.mga6
+ Revision: 925338
- new version

* Wed Oct 28 2015 daviddavid <daviddavid> 59-4.mga6
+ Revision: 895954
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 59-3.mga5
+ Revision: 748702
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 59-2.mga5
+ Revision: 689596
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 59-1.mga5
+ Revision: 627347
- new version

* Fri Oct 18 2013 umeabot <umeabot> 51-4.mga4
+ Revision: 519397
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 51-3.mga3
+ Revision: 383678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 zezinho <zezinho> 51-2.mga3
+ Revision: 332784
- remove external libs

* Mon Dec 03 2012 zezinho <zezinho> 51-1.mga3
+ Revision: 326175
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 46-1.mga3
+ Revision: 320103
- newversion

* Fri Dec 02 2011 dmorgan <dmorgan> 43-2.mga2
+ Revision: 175063
- Remove as noarch

* Sat Nov 19 2011 zezinho <zezinho> 43-1.mga2
+ Revision: 169539
- new version

  + ennael <ennael>
    - imported package sugar-pippy-activity

